Get Available MongoDB Versions
Retrieves all MongoDB versions available for new MongoDB clusters.
For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).
Example Request Header
Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl
More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Successful operation.
List of MongoDB versions.
Any erroneous status code: 400 (parse error), 401 (authorization error), 402 (trial access), 403 (insufficient permissions), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type), 422 (validation error), 429 (request rate limit exceeded), 500 (server error), 503 (maintenance)
GET /databases/mongodb/versions HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"data": [
{
"name": "6.0"
}
]
}Last updated
Was this helpful?